summaryrefslogtreecommitdiff
path: root/package/openct/files/openct.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/openct/files/openct.init')
-rw-r--r--package/openct/files/openct.init28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/openct/files/openct.init b/package/openct/files/openct.init
new file mode 100644
index 000000000..5f4b93c16
--- /dev/null
+++ b/package/openct/files/openct.init
@@ -0,0 +1,28 @@
+#!/bin/sh
+#PKG openct
+#INIT 60
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${openct:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ test -d /var/run/openct || mkdir -p /var/run/openct
+ /usr/sbin/openct-control init
+ ;;
+stop)
+ /usr/sbin/openct-control shutdown
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ exit 1
+esac
+exit $?